> For the complete documentation index, see [llms.txt](https://docs.devolutions.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.devolutions.net/pam/it/pam-with-devolutions-cloud/providers/mongodb-provider.md).

# Provider MongoDB

Consulti i privilegi MongoDB minimi di cui un account provider Devolutions Cloud ha bisogno per eseguire il rilevamento degli account e la rotazione delle password sui suoi cluster.

Questo articolo elenca i privilegi MongoDB minimi di cui un utente provider ha bisogno per il rilevamento degli account e la rotazione delle password in Devolutions Cloud.

| **Autorizzazione** | **Ambito** | **Perché**                                                                                                                                                                 |
| ------------------ | ---------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `listDatabases`    | `cluster`  | Consente di elencare tutti i database del cluster. Questo è necessario per poter elencare qualsiasi database accessibile per la funzionalità di rilevamento degli account. |
| `viewUser`         |            | Funzionalità di rilevamento degli account                                                                                                                                  |
| `changePassword`   |            | Funzionalità di rotazione delle password                                                                                                                                   |

Di seguito è riportato un esempio di ruolo provider per un utente con privilegi limitati a due database specifici:

```
db.createRole({
  role: "provider",
  privileges: [
    { resource: { cluster: true }, actions: ["listDatabases"] },
    { resource: { db: "Database1", collection: "" }, actions: [ "viewUser", "changePassword" ] },
    { resource: { db: "Database2", collection: "" }, actions: [ "viewUser", "changePassword" ] }
  ],
  roles: []
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.devolutions.net/pam/it/pam-with-devolutions-cloud/providers/mongodb-provider.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
